
ServerEvents.recipes((event) => {

    //Adding a Recipe for Silicon (Similar to the AE2 and Refined Storage Alternative)
    event.smelting('enderio:silicon', '#bp2:all_quartz_dust').id("builders_paradise_2:silicon_smelting");
    event.blasting('enderio:silicon', '#bp2:all_quartz_dust').id("builders_paradise_2:silicon_blasting");

    //Diamond Dust in the EnderIO Sag Mill
    event.custom({
            type: "enderio:sag_milling",
            energy: 4000,
            input: {
              item: "minecraft:diamond"
            },
            outputs: [
              {
                chance: 1.0,
                item: "thermal:diamond_dust"
              }
            ]
    })

});